<?php

/** Implementation of hook_preprocess_comment */
function wrappedsites_preprocess_comment(&$vars = array()){

  // gravatar or not
  if (theme_get_setting('gravatar')) {
  
    $user = user_load($vars['comment']->uid);
  	$grav_url = "http://www.gravatar.com/avatar.php?gravatar_id=".md5($user->mail). "&size=48";
	$vars['picture'] = '<img src="'.$grav_url.'" class="photo avatar avatar-32 photo" 
      height="32" width="32" />';
  
  } elseif ($vars['comment']->picture) {
  
	$vars['picture'] = '<img src="/'.$vars['comment']->picture.
      '" class="photo avatar avatar-32 photo" 
      height="32" width="32" />';
      
  }
  

}




/** Implementation of hook_preprocess_node */
function wrappedsites_preprocess_node(&$vars) {

}


/** Implementation of hook_preprocess_page */
function wrappedsites_preprocess_page(&$vars) {
  $gridObj=wrappedsites_get_settings();
  $vars['wrappedsites']=$gridObj;
  $vars['grid_regions']=wrappedsites_get_regions($gridObj);
  
  // Prepare header.
  $site_fields = array();
  if (!empty($vars['site_name'])) {
    $site_fields[] = $vars['site_name'];
  }
  if (!empty($vars['site_slogan'])) {
    $site_fields[] = $vars['site_slogan'];
  }
  $vars['site_title'] = implode(' ', $site_fields);
  if (!empty($site_fields)) {
    $site_fields[0] = '<span class="site-title">' . $site_fields[0] . '</span>';
  }
  $vars['site_html'] = implode(' ', $site_fields);

  // Set a variable for the site name title and logo alt attributes text.
  $slogan_text = $vars['site_slogan'];
  $site_name_text = $vars['site_name'];
  $vars['site_name_and_slogan'] = $site_name_text . ' ' . $slogan_text;

	// Edit the primary links variables
         if (isset($vars['main_menu'])) {
          $pid = variable_get('menu_main_links_source', 'main-menu');
          $menu_name='main-menu';
          $tree = menu_tree_all_data($menu_name,10);
          $menu_output[$menu_name] = menu_tree_output($tree);
          $tree=$menu_output[$menu_name];
          $tree = str_replace(' class="menu"', '', $tree);
          $vars['primary_nav'] = drupal_render($tree);
          $my_menu = $vars['primary_nav'];
        }else{
          $vars['primary_nav'] = FALSE;
        }
   
	$vars['primary_links'] = $my_menu; //add alias 'primary_links' for 'primary_nav' menu.
	if (theme_get_setting('tracking-code')) $vars['tracking_code']= theme_get_setting('tracking-code'); // add tracking code to footer
	if (theme_get_setting('rss'))	$vars['isrss']= theme_get_setting('rss'); // add rss link to footer
	
}
function wrappedsites_preprocess_html(&$vars) {
  $vars['page']['#children'].='<'.'di'.'v cla'.'ss="con'.'tain'.'er_'.theme_get_setting('grid_cols').'"><di'.'v cla'.'ss="wrapp'.'ed-si'.'tes" sty'.'le="di'.'spa'.'ly:bl'.'ock; float:right;">Them'.'e by '.
   ' <'.'a cl'.'ass'.'="wra'.'pped-s'.'ite'.'s-li'.'nk" st'.'yle='.'"dis'.'pla'.'y:in'.'li'.'ne"'.' hre'.'f="ht'.'tp:/'.'/ww'.'w.wra'.
    'ppe'.'dsi'.'tes.c'.'om">Wr'.'ap'.'ped'.' '.'Si'.'tes'.'</'.'a'.'><'.'/di'.'v><'.'/d'.'iv>';
}
function  wrappedsites_css_alter(&$css) {
    $i=0.01;
    foreach ($css as $key => $value) {

      if (strpos($key,'960_grid_system') !== FALSE) {
        $value['group']=-1000;
        $value['weight']=$i;
        $i=$i+0.01;
        $css[$key]=$value;
      }

    }

 $color_items=(array)theme_get_setting('colors_item');
      $j=1;
      $data="";
      if (theme_get_setting('custom-css')) {$data.=theme_get_setting('custom-css')." ";}
   
      foreach ($color_items as $key => $value) {

         $class=str_replace('_', '-', $key);
         $color=theme_get_setting($key);
         $data.='.'.$class.' {'.$value.':'.'#'.$color.'} ';

     }
     
      $css[]=array(
                      'type' => 'inline',
                      'group' => 0,
                      'weight' => 1000+$j++,
                      'every_page' =>'',
                      'media' => 'all',
                      'preprocess' => TRUE,
                      'data' => $data,
                      'browsers' => array('IE'=>TRUE,'!IE'=>TRUE),
                    );
 

}


function  wrappedsites_js_alter(&$javascript) {
  // Swap out jQuery to use an updated version of the library.
 // $javascript['misc/jquery.js']['data'] = drupal_get_path('module', 'jquery_update') . '/jquery.js';
}



?>