<?php


function wrappedsites_form_system_theme_settings_alter(&$form, &$form_state) {
 /**
   * Theme name
   */

	$cms_theme = "wrappedsites";

         drupal_add_js(drupal_get_path('theme', $cms_theme) . '/colorpicker/js/colorpicker.js', array('group' => CSS_THEME, 'preprocess' => FALSE));
         drupal_add_js(drupal_get_path('theme', $cms_theme) . '/colorpicker/js/eye.js', array('group' => CSS_THEME, 'preprocess' => FALSE));
         drupal_add_js(drupal_get_path('theme', $cms_theme) . '/colorpicker/js/utils.js', array('group' => CSS_THEME, 'preprocess' => FALSE));
         drupal_add_js(drupal_get_path('theme', $cms_theme) . '/colorpicker/js/layout.js', array('group' => CSS_THEME, 'preprocess' => FALSE));
         drupal_add_js(drupal_get_path('theme', $cms_theme) . '/scripts/theme-settings.js', array('group' => CSS_THEME, 'preprocess' => FALSE));

         drupal_add_css(drupal_get_path('theme', $cms_theme) . '/colorpicker/css/colorpicker.css', array('group' => CSS_THEME, 'preprocess' => FALSE));
         drupal_add_css(drupal_get_path('theme', $cms_theme) . '/colorpicker/css/layout.css', array('group' => CSS_THEME, 'preprocess' => FALSE));
	
  /**
   * Get alt styles
   */


    $form['#attributes'] = array('class' => 'cmspanel');
  drupal_add_css(drupal_get_path('theme', $cms_theme) . '/css/admin/admin.css', array('group' => CSS_THEME, 'preprocess' => FALSE));


  $alt_stylesheet_path =  drupal_get_path('theme', $cms_theme) . '/css/styles/';
	$alt_stylesheets = array();

	if ( is_dir($alt_stylesheet_path) ) {
	    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) {
	        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
	            if(stristr($alt_stylesheet_file, ".css") !== false) {
	                $alt_stylesheets[] = $alt_stylesheet_file;
	            }
	        }
	    }
	}

	// turn into associative array
	foreach ($alt_stylesheets as $alt_style)
		$alt_styles[$alt_style] = $alt_style;

  /**
   * The default values for the theme variables. Make sure $defaults exactly
   * matches the $defaults in the template.php file.
   */


  // Create theme settings form widgets using Forms API

  // General Settings
 if ( theme_get_setting('general_form')>0) {
  $form['tnt_container']['general_settings']['general'] = array(
    '#type' => 'fieldset',
    '#title' => t('General Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );

	 	$form['tnt_container']['general_settings']['general']['alt_stylesheet'] = array(
		    '#type'          => 'select',
		    '#title'         => t('Theme  Stylesheet'),
 			'#description'   => t('Select your themes alternative css file'),
		    '#default_value' => theme_get_setting('alt_stylesheet'),
		    '#options'       => $alt_styles,
		  );

		$form['tnt_container']['general_settings']['general']['tracking-code'] = array(
			'#type' => 'textarea',
			'#title' => t('Tracking Code'),
			'#description'   => t('Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.'),
			'#default_value' => theme_get_setting('tracking-code'),
			'#required' => FALSE
		);

             
		$form['tnt_container']['general_settings']['general']['custom-css'] = array(
			'#type' => 'textarea',
			'#title' => t('Custom CSS'),
			'#description'   => t('Quickly add some CSS to your theme by adding it to this block.'),
			'#default_value' => theme_get_setting('custom-css'),
			'#required' => FALSE
		);


                 $form['tnt_container']['general_settings']['general']['rss'] = array(
                                '#type'          => 'checkbox',
                                '#title'	=>'Show rss links',
                                '#description'         => t(''),
                                '#default_value' => theme_get_setting('rss'),

                              );

		$form['tnt_container']['general_settings']['general']['rss-url'] = array(
			'#type' => 'textfield',
			'#title' => t('RSS Url'),
			'#description' => t('Enter your preferred RSS URL. (Feedburner or other)'),
			'#default_value' => theme_get_setting('rss-url'),
			'#required' => FALSE
		);


 }


 if ( theme_get_setting('grid_form')>0) {


	   // Grid Settings
	  $form['tnt_container']['general_settings']['wrappedsites'] = array(
	    '#type' => 'fieldset',
	    '#title' => t('grid 960 setting'),
	    '#collapsible' => TRUE,
	    '#collapsed' => TRUE,
	  );

			  $form['tnt_container']['general_settings']['wrappedsites']['grid_cols'] = array(
			    '#type'          => 'select',
                            '#title'         => t('theme base grid system'),
                            '#description'   => t('Select cols for theme'),
                            '#default_value' => theme_get_setting('grid_cols'),
                            '#options'       => array('12'=>'12 cols','16'=>'16 cols',),
			  );

                            $form['tnt_container']['general_settings']['wrappedsites']['col1wrapper'] = array(
                            '#type' => 'fieldset',
                            '#title' => t('Column 1 settings'),
                            '#collapsible' => FALSE,
                            '#collapsed' => FALSE,
                          );

                          $form['tnt_container']['general_settings']['wrappedsites']['col1wrapper']['col1_sidebar'] = array(
                                '#type'          => 'checkbox',
                                '#title'	=>'Enable',
                                '#description'         => t(''),
                                '#default_value' => theme_get_setting('col1_sidebar'),

                              );

                            $form['tnt_container']['general_settings']['wrappedsites']['col1wrapper']['col1_position'] = array(
			    '#type'          => 'select',
                            '#title'         => t('position :'),
                            '#description'   => t(''),
                            '#default_value' => theme_get_setting('col1_position'),
                            '#options'       => array('left'=>'Before main column','right'=>'After main column'),
			  );





                          $form['tnt_container']['general_settings']['wrappedsites']['col1wrapper']['col1_width'] = array(
			    '#type'          => 'select',
                            '#title'         => t('Width in grid units (grid_…) :'),
                            '#description'   => t(''),
                            '#default_value' => theme_get_setting('col1_width'),
                            '#options'       => array('1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5','6'=>'6'),
			  );




                          $form['tnt_container']['general_settings']['wrappedsites']['col1wrapper']['col1_weight'] = array(
			    '#type'          => 'select',
                            '#title'         => t('weight :'),
                            '#description'   => t(''),
                            '#default_value' => theme_get_setting('col1_weight'),
                            '#options'       => array('0'=>'0','1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5','6'=>'6','7'=>'7','8'=>'8','9'=>'9','10'=>'10','11'=>'11','12'=>'12','13'=>'13','14'=>'14','15'=>'15','16'=>'16','17'=>'17','18'=>'18','19'=>'19','20'=>'20'),
			  );






                            $form['tnt_container']['general_settings']['wrappedsites']['col2wrapper'] = array(
                            '#type' => 'fieldset',
                            '#title' => t('Column 2 settings :'),
                            '#collapsible' => FALSE,
                            '#collapsed' => FALSE,
                          );



                           $form['tnt_container']['general_settings']['wrappedsites']['col2wrapper']['col2_sidebar'] = array(
                                '#type'          => 'checkbox',
                                '#title'	=>'Enable',
                                '#description'         => t(''),
                                '#default_value' => theme_get_setting('col2_sidebar'),
                              );


                            $form['tnt_container']['general_settings']['wrappedsites']['col2wrapper']['col2_position'] = array(
			    '#type'          => 'select',
                            '#title'         => t('position :'),
                            '#description'   => t(''),
                            '#default_value' => theme_get_setting('col2_position'),
                            '#options'       => array('left'=>'Before main column','right'=>'After main column'),
			  );


                            $form['tnt_container']['general_settings']['wrappedsites']['col2wrapper']['col2_width'] = array(
			    '#type'          => 'select',
                            '#title'         => t('Width in grid units (grid_…)'),
                            '#description'   => t(''),
                            '#default_value' => theme_get_setting('col2_width'),
                            '#options'       => array('1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5','6'=>'6'),
			  );


                          $form['tnt_container']['general_settings']['wrappedsites']['col2wrapper']['col2_weight'] = array(
			    '#type'          => 'select',
                            '#title'         => t('weight :'),
                            '#description'   => t(''),
                            '#default_value' => theme_get_setting('col2_weight'),
                            '#options'       => array('0'=>'0','1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5','6'=>'6','7'=>'7','8'=>'8','9'=>'9','10'=>'10','11'=>'11','12'=>'12','13'=>'13','14'=>'14','15'=>'15','16'=>'16','17'=>'17','18'=>'18','19'=>'19','20'=>'20'),
			  );

 }

if ( theme_get_setting('comments_form')>0) {


   // Comments Settings
  $form['tnt_container']['general_settings']['blog_settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('Comments Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );
 
		  $form['tnt_container']['general_settings']['blog_settings']['gravatar'] = array(
		    '#type'          => 'checkbox',
			'#title'	=>	'Use Gravatar?',
		    '#description'         => t('<a href="http://gravatar.com/">Gravatars</a> are a quick way to add a personal touch to your blog comments by displaying the avatar of the commenter alongside their comment.'),
		    '#default_value' => theme_get_setting('gravatar'),
		  );


}

if ( theme_get_setting('colors_form')>0) {
   $color_items=(array)theme_get_setting('colors_item');
   // Colors Settings
  $form['tnt_container']['general_settings']['colors_settings'] = array(
    '#type' => 'fieldset',
    '#title' => t('Colors Settings'),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
  );


    $form['tnt_container']['general_settings']['colors_settings']['colors_status'] = array(
		    '#type'          => 'checkbox',
			'#title'	=>	'Use Colors?',
		    '#description'         => t('Use custom  colors for theme'),
		    '#default_value' => theme_get_setting('colors_status'),

        );


    foreach ($color_items as $key => $value) {

     $form['tnt_container']['general_settings']['colors_settings'][$key] = array(
        '#type' => 'textfield',
	'#title' => t('"'.str_replace('_', '-', $key).'" class '.$value.' :'),
	'#description' => t(''),
	'#default_value' =>  theme_get_setting($key),
	'#required' => FALSE
	);
      
  }





}



  // Return theme settings form
  return $form;

}